Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class SpecifieldDes

    java.lang.Object
      jet.api.SpecifieldDes

All Implemented Interfaces:
  java.lang.Cloneable

    public class SpecifieldDes

extends java.lang.Object
implements java.lang.Cloneable

An information package of a Special Group Description. The SpecifieldDes defines how to group your information in special conditions. This definition will be used if you set the table's group to be sorted by `SPECIFIEDORDER`.

Field Summary
`static int` | `BETWEEN` Operator of "Between".
`static int` | `EQUAL` Operator of "Equal".
`static int` | `GREATER` Operator of "Greater".
`static int` | `LESS` Operator of "Less".
`static int` | `NOT_BETWEEN` Operator of "Not Between".
`static int` | `NOT_EQUAL` Operator of "Not Equal".
`static int` | `NOT_GREATER` Operator of "Not Greater".
`static int` | `NOT_LESS` Operator of "Not Less".

Constructor Summary
`SpecifieldDes(java.lang.String groupName, int operator, java.lang.String operand1, java.lang.String operand2)` Constructor.
`SpecifieldDes(java.lang.String groupName, int operator, java.util.Vector operands)` Constructor.

Method Summary
`java.lang.Object` | `clone()` Creates a copy of the Special Group Description.
`java.lang.String` | `getGroupName()` Gets the group name of this Special Group Description.
`java.lang.String` | `getOperand(int index)` Gets the Operand of this Special Group Description.
`java.util.Vector` | `getOperands()` Gets the Special Group Description information's operands.
`int` | `getOperator()` Gets the Operator of this Special Group Description.
`void` | `setOperands(java.util.Vector operands)` Sets operands of a Special Group Description condition.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BETWEEN

    public static final int BETWEEN

  Operator of "Between".

  See Also:
    Constant Field Values

### GREATER

    public static final int GREATER

  Operator of "Greater".

  See Also:
    Constant Field Values

### LESS

    public static final int LESS

  Operator of "Less".

  See Also:
    Constant Field Values

### EQUAL

    public static final int EQUAL

  Operator of "Equal".

  See Also:
    Constant Field Values

### NOT_BETWEEN

    public static final int NOT_BETWEEN

  Operator of "Not Between".

  See Also:
    Constant Field Values

### NOT_GREATER

    public static final int NOT_GREATER

  Operator of "Not Greater".

  See Also:
    Constant Field Values

### NOT_LESS

    public static final int NOT_LESS

  Operator of "Not Less".

  See Also:
    Constant Field Values

### NOT_EQUAL

    public static final int NOT_EQUAL

  Operator of "Not Equal".

  See Also:
    Constant Field Values

Constructor Detail

### SpecifieldDes

    public SpecifieldDes(java.lang.String groupName,
                         int operator,
                         java.lang.String operand1,
                         java.lang.String operand2)

  Constructor. Create a Special Group Description criteria.

  Parameters:
    `groupName` - The name of the Special Group.
    `operator` - The operator to filter and range the data.
    `operand1` - The first operand.
    `operand2` - The second operand if the criteria needs two operands.

### SpecifieldDes

    public SpecifieldDes(java.lang.String groupName,
                         int operator,
                         java.util.Vector operands)

  Constructor. Create a Special Group Description criteria.

  Parameters:
    `groupName` - The name of the Special Group.
    `operator` - The operator to filter and range the data.
    `operands` - A set of operands of the group condition. The first element is the String value of the first operand; the second element is the String value of the second operand of the group condition if the criteria needs two operands.

Method Detail

### setOperands

    public void setOperands(java.util.Vector operands)

  Sets operands of a Special Group Description condition.

  Parameters:
    `operands` - A set of operands of the group condition. The first element is the String value of the first operand; the second element is the String value of the second operand of group condition if the criteria needs two operands.

### getOperands

    public java.util.Vector getOperands()

  Gets the Special Group Description information's operands.

  Returns:
    a set of operands of the group condition. The first element is the String value of the first operand; the second element is the String value of the second operand of the group condition if the operator needs two operands.

### getGroupName

    public java.lang.String getGroupName()

  Gets the group name of this Special Group Description.

  Returns:
    the name of the Special Group.

### getOperator

    public int getOperator()

  Gets the Operator of this Special Group Description.

  Returns:
    the int value of the operator to filter data in this group.

### getOperand

    public java.lang.String getOperand(int index)

  Gets the Operand of this Special Group Description.

  Parameters:
    `index` - The index of the operand , which starts with 1, and ends with 2.
  Returns:
    the string value of the operand according to the operand index.

### clone

    public java.lang.Object clone()

  Creates a copy of the Special Group Description.

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    a copy of the SpecifieldDes.
  See Also:
    `Object.clone()`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD